Jump to content

Delphi chamada_delphi.png acbr.png

C6 chamada_c6.png botao.png

Erro de Instalação GNRE


Ivan de Souza
  • Este tópico foi criado há 1777 dias atrás.
  • Talvez seja melhor você criar um NOVO TÓPICO do que postar uma resposta aqui.

Recommended Posts

  • Consultores

Boa tarde

ainda não está ok o GNRE no trunk2 no restante está funcionando

Consultor SAC ACBr Juliomar Marchetti
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr

skype: juliomar
telegram: juliomar
e-mail: [email protected]
http://www.juliomarmarchetti.com.br
MVP_NewLogo_100x100_Black-02.png
Projeto ACBr - A maior comunidade Open Source de Automação Comercial do Brasil

 

Link to comment
Share on other sites

  • 3 weeks later...

atualizei o trunk2 hoje com a revisão 9607 (eu uso delphi XE7), e ocorreram esses erros

ACBrGNREWebServices.pas(596) Error: E2003 Undeclared identifier: 'GNREEnviGNRE'
ACBrGNREWebServices.pas(657) Error: E2250 There is no overloaded version of 'Execute' that can be called with these arguments
ACBrGNREWebServices.pas(710) Error: E2003 Undeclared identifier: 'ConfAmbiente'
ACBrGNREWebServices.pas(761) Error: E2003 Undeclared identifier: 'GNREConsResLote'
ACBrGNREWebServices.pas(824) Error: E2250 There is no overloaded version of 'Execute' that can be called with these arguments
ACBrGNREWebServices.pas(875) Error: E2003 Undeclared identifier: 'ConfAmbiente'
ACBrGNREWebServices.pas(947) Error: E2003 Undeclared identifier: 'GNREConsResLote'
ACBrGNREWebServices.pas(1010) Error: E2250 There is no overloaded version of 'Execute' that can be called with these arguments
ACBrGNREWebServices.pas(1070) Error: E2003 Undeclared identifier: 'ConfAmbiente'
ACBrGNREWebServices.pas(1121) Error: E2003 Undeclared identifier: 'GNREConsConfigUF'
ACBrGNREWebServices.pas(1182) Error: E2250 There is no overloaded version of 'Execute' that can be called with these arguments
ACBrGNREWebServices.pas(1239) Error: E2003 Undeclared identifier: 'ConfAmbiente'
ACBrGNRE2.pas(1960) Fatal: F2063 Could not compile used unit 'ACBrGNREWebServices.pas'
Compilation failure

Link to comment
Share on other sites

  • Consultores

Bom dia Dalitas,

Desculpe, mas você leu a postagem do Juliomar logo acima?

Ele diz que GNRE ainda não esta pronto, falta fazer correções no fonte dele para deixa-lo compatível com os demais componentes do trunk2.

  • Like 1
Consultor SAC ACBr Italo Giurizzato Junior
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr

Analista de Sistemas / e-mail: [email protected] / Fone: (16) 9-9701-5030 / Araraquara-SP

Link to comment
Share on other sites

  • 1 month later...

E ai pessoal o erro acima citado , ja foi corrigido ? Pois atualizei hoje 29/09/2015 e  esta dando o mesmo erro na instalação .

Tem algum macete? criar alguma variavel??

 

29/09/2015 12:24

 

o erro mencionado continua alguém tem alguma sugestão

 

C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(596) Error: E2003 Undeclared identifier: 'GNREEnviGNRE'
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(657) Error: E2250 There is no overloaded version of 'Execute' that can be called with these arguments
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(710) Error: E2003 Undeclared identifier: 'ConfAmbiente'
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(761) Error: E2003 Undeclared identifier: 'GNREConsResLote'
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(824) Error: E2250 There is no overloaded version of 'Execute' that can be called with these arguments
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(875) Error: E2003 Undeclared identifier: 'ConfAmbiente'
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(947) Error: E2003 Undeclared identifier: 'GNREConsResLote'
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(1010) Error: E2250 There is no overloaded version of 'Execute' that can be called with these arguments
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(1070) Error: E2003 Undeclared identifier: 'ConfAmbiente'
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(1121) Error: E2003 Undeclared identifier: 'GNREConsConfigUF'
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(1182) Error: E2250 There is no overloaded version of 'Execute' that can be called with these arguments
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNREWebServices.pas(1239) Error: E2003 Undeclared identifier: 'ConfAmbiente'
C:\System_SICS_Delphi_XE6_VersaoNFe3\Programas\ACBr\Fontes\ACBrDFe\ACBrGNRE\ACBrGNRE2.pas(1979) Fatal: F2063 Could not compile used unit 'ACBrGNREWebServices.pas'
Compilation failure

 

 

Link to comment
Share on other sites

  • 2 months later...
  • Consultores

Bom dia Guto,

É impossível você ter componentes do Trunk e do Trunk2 instalados na mesma maquina no mesmo Delphi.

  • Like 1
Consultor SAC ACBr Italo Giurizzato Junior
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr

Analista de Sistemas / e-mail: [email protected] / Fone: (16) 9-9701-5030 / Araraquara-SP

Link to comment
Share on other sites

  • Consultores

sim assim que der tempo de terminar a migração!

ou se quiser arregaçar as mangas pegar o código e alterar deixando compatível com o trunk2 e a parte do ACBrDFe os amigos agradecem

1 hora atrás, duiliolobianco disse:

Tem alguma previsão ou alguém resolvendo?

 

  • Like 2
Consultor SAC ACBr Juliomar Marchetti
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr

skype: juliomar
telegram: juliomar
e-mail: juli[email protected]
http://www.juliomarmarchetti.com.br
MVP_NewLogo_100x100_Black-02.png
Projeto ACBr - A maior comunidade Open Source de Automação Comercial do Brasil

 

Link to comment
Share on other sites

Boa tarde, pessoal

Estou com esse erro ao utilizar o ACBRInstall_Trunk2.

*****************************************************************************************

ACBr_GNRE.dpk(101) Fatal: F1026 File not found: 'ACBrGNRE2.dcu'
Compilation failure
Erro ao compilar o pacote "ACBr_GNRE.dpk".

****************************************************************************************

Conforme já lido, sei que ainda está em fase de desenvolvimento tal componente e não deve ser instalado.

Porém, na tela de seleção dos componentes a serem instalados não encontro a opção para desmarcar a seleção desse componente.

O componente da NFSE encontrei a opção e desmarquei, porém esse GNRE não localizo.

Estou instalando no Delphi 2009.

Alguma solução???

 

Att

Michel Abrão.

 

 

 

Link to comment
Share on other sites

Atualize,  que subi uma correção

--
Isaque Pinheiro
Aracruz/ES - Brasil
___________________________________________________________________________
Site Oficial: www.isaquepinheiro.com.br 
Youtube: youtube.com/isaquepinheirooficialbr
Facebook: facebook.com.br/isaquepinheirooficialbr
Instagram: instagram.com/isaquepinheirooficialbr
Linkdin: https://www.linkedin.com/in/isaquepinheirooficialbr

Conheça o Projeto ORMBr Framework for Delphi - https://www.ormbr.com.br

 

Link to comment
Share on other sites

Prezados,

   Na instalação do trunk2, já pesquisei e não consegui localizar nenhum comentário sobre a descontinuidade ou não da utilização do RaveReports, pois utilizo a versão 7.6

   No instalador do Trunk2 somente são instalados complementos para Fast e Forts report.

   Posso instalar separadamente o componente DANFERAVE que está dando erro no projeto ou vou ter que mudar para Fortes ou Fast no Trunk2??? Tenho vários projetos utilizando Rave.

Att

Michel Abrão.

Link to comment
Share on other sites

Pode instalar, mas nós do ACBr não daremos mais suporte a eles, dessa forma você terá que mantê-lo por conta própria.

--
Isaque Pinheiro
Aracruz/ES - Brasil
___________________________________________________________________________
Site Oficial: www.isaquepinheiro.com.br 
Youtube: youtube.com/isaquepinheirooficialbr
Facebook: facebook.com.br/isaquepinheirooficialbr
Instagram: instagram.com/isaquepinheirooficialbr
Linkdin: https://www.linkedin.com/in/isaquepinheirooficialbr

Conheça o Projeto ORMBr Framework for Delphi - https://www.ormbr.com.br

 

Link to comment
Share on other sites

Isaque, boa tarde.

   Primeiro agradecer pela sua atenção.

   Em segundo, percebi uma atualização do instalador, no caso, a sugestão é eu reutilizar o instalador para ter o sucesso de instalação do Rave, correto?

Att

Michel Abrão.

3 minutos atrás, Isaque Pinheiro disse:

Pode instalar, mas nós do ACBr não daremos mais suporte a eles, dessa forma você terá que mantê-lo por conta própria.

Isaque, boa tarde.

  No trunk2 não localizo a pasta referente aos componentes do RaveReports na pasta DANFE, lá consta apenas as subpastas Fast e Forts.

  Eu teria que copiar essa pasta do Trunk1?

 Desde já agradeço novamente.

Att.

Michel Abrão.

Link to comment
Share on other sites

  • Fundadores

No Trunk2 não há qualquer suporte a Rave ou Quick, por parte da equipe do ACBR..

Se continuássemos suportando 5 geradores de relatórios.. iriamos morrer doidos...

No Trunk2, você que precisará copiar e instalar os Packages e Fontes, referentes a Fortes Quick

Consultor SAC ACBr

Daniel Simões de Almeida
O melhor TEF, é com o Projeto ACBr - Clique e Conheça
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Link to comment
Share on other sites

Daniel, boa tarde.

Primeiramente agradeço pela sua atenção, e pela dica dada por você, já estou me movimentando para usar os padrões continuados, no caso optei pelo Fortes.

Estive lendo que não existe suporte para o Fortes quando nos deparamos com erros, mas mesmo após conseguir fazer a instalação do Fortes no Delphi 2009, ao executar o instalador do Trunk2 me deparo com o seguinte erro:

 

******************************************************************************************

CodeGear Delphi for Win32 compiler version 20.0
Copyright (c) 1983,2008 CodeGear
ACBr_NFeDanfeRL.dpk(76) Fatal: E2202 Required package 'frce' not found
Compilation failure
Erro ao compilar o pacote "ACBr_NFeDanfeRL.dpk".

Abortando... Ocorreram erros na compilação dos pacotes.
*****************************************************************************************

O fortes está instalado, consigo enxergar ele dentro do Delphi, porém, não consigo instalar o pacote "ACBr_NFeDanfeRL.dpk".

Poderia ser algo relacionado com alguma pasta que preciso apontar?

 

Desde já agradeço,

Att.

Michel Abrão.

 

Link to comment
Share on other sites

Pessoal estou o mesmo problema:

ACBr_GNRE.dpk(101) Fatal: File not found: 'ACBrGNRE2.dcu'
Compilation failure
Erro ao compilar o pacote "ACBr_GNRE.dpk".

Acredito que a opção do GNRe foi removida do instalador nas últimas atualizações, porém o erro ainda continua.

Então não tem como desmarcá-la no instalador.

Como devo proceder?

(Confira a imagem em anexo do instalador)trunk2_intalador.png.cc76de546920a17a805

Link to comment
Share on other sites

  • Este tópico foi criado há 1777 dias atrás.
  • Talvez seja melhor você criar um NOVO TÓPICO do que postar uma resposta aqui.

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.